package listbasic;

import java.util.Arrays;
import java.util.Comparator;

import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.geometry.Pos;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.ListView;
import javafx.scene.layout.VBox;
import javafx.stage.Stage;

public class ListGUI extends Application {

	@Override
	public void start(Stage stage) throws Exception {
		VBox root = new VBox();
		root.setAlignment(Pos.CENTER);
		//pravimo genericku listu
		ListView<String> list = new ListView<String>();
		ObservableList<String> names = FXCollections.observableArrayList();
		names.addAll(Arrays.asList("Petar", "Ana", "Mira", "Marko", "Jovana"));
		//dodajemo joj podatke
		list.setItems(names);
		root.getChildren().add(list);
		Button btnSort = new Button("Sortiraj");
		btnSort.setOnAction(new EventHandler<ActionEvent>() {
			
			@Override
			public void handle(ActionEvent event) {
				names.sort(new Comparator<String>() {
					@Override
					public int compare(String o1, String o2) {
						return o1.compareTo(o2);
					}
				});
			}
		});
		root.getChildren().add(btnSort);

		Scene scene = new Scene(root, 200, 400);
		stage.setScene(scene);
		stage.show();
	}

	public static void main(String[] args) {
		Application.launch(args);
	}

}
