package tableviewgui;

import java.util.Comparator;

import javafx.application.Application;
import javafx.collections.FXCollections;
import javafx.collections.ObservableList;
import javafx.event.ActionEvent;
import javafx.event.EventHandler;
import javafx.scene.Scene;
import javafx.scene.control.Button;
import javafx.scene.control.ListView;
import javafx.scene.control.TableColumn;
import javafx.scene.control.TableView;
import javafx.scene.control.cell.PropertyValueFactory;
import javafx.scene.layout.BorderPane;
import javafx.stage.Stage;

public class TableViewSimple extends Application {

	@Override
	public void start(Stage stage) throws Exception {
		BorderPane root = new BorderPane();
		Scene scene = new Scene(root, 400, 400);

		TableView<Contact> table = new TableView<Contact>();
		root.setCenter(table);

		TableColumn<Contact, String> col1 = new TableColumn<Contact, String>(
				"Ime");
		col1.setCellValueFactory(new PropertyValueFactory<Contact, String>(
				"name"));

		TableColumn<Contact, String> col2 = new TableColumn<Contact, String>(
				"Mejl");
		col2.setCellValueFactory(new PropertyValueFactory<Contact, String>(
				"email"));

		TableColumn<Contact, Integer> col3 = new TableColumn<Contact, Integer>(
				"Godina");
		col3.setCellValueFactory(new PropertyValueFactory<Contact, Integer>(
				"birthYear"));

		table.getColumns().add(col1);
		table.getColumns().add(col2);
		table.getColumns().add(col3);

		ObservableList<Contact> contacts = FXCollections.observableArrayList();
		contacts.add(new Contact("Petar", 1998, "petar@mail.com"));
		contacts.add(new Contact("Marija", 1988, "marija@mail.com"));
		contacts.add(new Contact("Ana	", 1978, "ana@mail.com"));

		table.setItems(contacts);

		stage.setScene(scene);
		stage.show();
	}

	public static void main(String[] args) {
		Application.launch(args);
	}

}
