package particles;

import java.awt.Canvas;
import java.awt.Graphics;
import java.util.ArrayList;
import java.util.List;

public class ParticleCanvas extends Canvas {

	private List<Particle> particles = new ArrayList<Particle>();

	public ParticleCanvas(int n) {
		setSize(500, 500);
		//pravimo n cestica
		for (int i = 0; i < n; i++)
			particles.add(new Particle(this));
		//pravimo i pokrecemo nit koja osvezava platno
		new Refresher(this).start();
	}

	@Override
	public void paint(Graphics g) {
		//iscrtavamo sve cestice iz kolekcije
		for (Particle p : particles) {
			//svaka zna samu sebe da iscrta
			p.draw(g);
		}
	}
}
